Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class DataItemEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.DataItemEventAdapter

All Implemented Interfaces:
  IDataItemEventHandler

    public class DataItemEventAdapter

extends java.lang.Object
implements IDataItemEventHandler

Default (empty) implementation of the IDataItemEventHandler interface

Constructor Summary
`DataItemEventAdapter()`

Method Summary
`void` | `onCreate(IDataItemInstance data, IReportContext reportContext)` Handle the onCreate event
`void` | `onPageBreak(IDataItemInstance data, IReportContext reportContext)` Handle the onPageBreak event
`void` | `onPrepare(IDataItem dataItemHandle, IReportContext reportContext)` Handle the onPrepare event
`void` | `onRender(IDataItemInstance data, IReportContext reportContext)` Handle the onRender event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataItemEventAdapter

    public DataItemEventAdapter()

Method Detail

### onPrepare

    public void onPrepare(IDataItem dataItemHandle,
                          IReportContext reportContext)

  Description copied from interface: `IDataItemEventHandler`
  Handle the onPrepare event

  Specified by:
    `onPrepare` in interface `IDataItemEventHandler`

### onCreate

    public void onCreate(IDataItemInstance data,
                         IReportContext reportContext)

  Description copied from interface: `IDataItemEventHandler`
  Handle the onCreate event

  Specified by:
    `onCreate` in interface `IDataItemEventHandler`

### onRender

    public void onRender(IDataItemInstance data,
                         IReportContext reportContext)

  Description copied from interface: `IDataItemEventHandler`
  Handle the onRender event

  Specified by:
    `onRender` in interface `IDataItemEventHandler`

### onPageBreak

    public void onPageBreak(IDataItemInstance data,
                            IReportContext reportContext)

  Description copied from interface: `IDataItemEventHandler`
  Handle the onPageBreak event

  Specified by:
    `onPageBreak` in interface `IDataItemEventHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.